org.eclipse.microprofile.reactive.messaging.tck.channel

## Class BeanInjectedWithAPublisherBuilderOfMessages

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.BeanInjectedWithAPublisherBuilderOfMessages

    @ApplicationScoped
    public class BeanInjectedWithAPublisherBuilderOfMessages
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BeanInjectedWithAPublisherBuilderOfMessages()`
`BeanInjectedWithAPublisherBuilderOfMessages(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>> constructor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `consume()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanInjectedWithAPublisherBuilderOfMessages

    public BeanInjectedWithAPublisherBuilderOfMessages()

#### BeanInjectedWithAPublisherBuilderOfMessages

    @Inject
    public BeanInjectedWithAPublisherBuilderOfMessages(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>> constructor)

### Method Detail

#### consume

    public List<String> consume()